extends Node2D
class_name DimHallwayWestEnd

@onready var ego: Node2D = $"../ego"

func _ready() -> void:
    pass

func _on_room_looked() -> void:
    pass

func _on_kq4_087_east_end_of_hallway_interacted() -> void:
    var target_scene = load("res://scenes/kq4_087_east_end_of_hallway/kq4_087_east_end_of_hallway.tscn")
    if target_scene:
        get_tree().change_scene_to_packed(target_scene)
